%define req_libwnck_version 2.19.5
%define req_libglade_version 2.5.0
%define req_gconf2_version 2.6.1
%define req_gnomeui_version 2.5.4
%define req_gtk_version 2.11.3
%define req_glib_version 2.15.5
%define req_gnomedesktop_version 2.11.1

%define api_version 2
%define lib_major   0
%define libname	%mklibname panel-applet- %{api_version} %{lib_major}
%define libnamedev %mklibname -d panel-applet- %{api_version}

%define in_process_applets 1


Summary:	The core programs for the GNOME GUI desktop environment
Name:		gnome-panel
Version: 2.22.0
Release: %mkrel 4
License:	GPL/LGPL
Group:		Graphical desktop/GNOME
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:	mandriva-panel.png

# (fc) 2.0.1-2mdk  use xlock instead of xscreensaver to lock root desktop
Patch0:		gnome-panel-2.18.1-rootlock.patch
# (fc) 2.0.1-2mdk  Mandriva customization
Patch1:		gnome-panel-mdvcustomizations.patch
# (fc) 2.3.6.2-2mdk add "Suspend to disk" support
Patch2:		gnome-panel-2.14.1-suspend.patch
Patch3: gnome-panel-2.19.5-fpic.patch
# (fc) 2.19.6-2mdv use beagle or tracker (if available) as search tool by default (Fedora)
Patch16:	gnome-panel-2.19.6-search.patch
# (fc) 2.22.0-2mdv fix invalid username when locale is not utf8
Patch17:	gnome-panel-2.22.0-nonutf8.patch
# (fc) 2.22.0-2mdv various svn fixes for clock applet
Patch18:	gnome-panel-2.22.0-svnfixes.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.gnome.org/
BuildRequires:	gnome-desktop-devel >= %{req_gnomedesktop_version}
BuildRequires:	libglade2.0-devel >= %{req_libglade_version}
BuildRequires:	libwnck-devel >= %{req_libwnck_version}
BuildRequires:	perl-XML-Parser
BuildRequires:	libxres-devel
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel
BuildRequires:	libgweather-devel
BuildRequires:	policykit-gnome-devel
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils
BuildRequires:	libxslt-proc
BuildRequires:	glib2-devel >= %req_glib_version
BuildRequires:	gtk+2-devel >= %{req_gtk_version}
BuildRequires:	libgnomeui2-devel >= %{req_gnomeui_version}
BuildRequires:	libGConf2-devel >= %{req_gconf2_version}
BuildRequires:	evolution-data-server-devel >= 1.5.3
BuildRequires:  gnome-menus-devel >= 2.11.1
BuildRequires:  automake1.8
BuildRequires:	gtk-doc
BuildRequires:	gnome-common
BuildRequires:	intltool
Requires(post):	scrollkeeper
Requires(postun): scrollkeeper
Requires:	gnome-session
Requires:	gnome-desktop
Requires:	GConf2 >= %{req_gconf2_version}
Requires:	gnome-applets
Requires:	glib2 >= %req_glib_version
Requires:	gnome-menus
Requires:	alacarte

# for screen locking and search function in panel
Requires:	gnome-utils
Requires:	gnome-screensaver
Requires:	desktop-common-data
#(patch0)
Requires:	xlockmore
#(patch1) (needed for time setting)
Requires:	drakxtools

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on free
software. 

The GNOME panel packages provides the gnome panel, menus and some
basic applets for the panel.

%package -n	%{libname}
Summary:	%{summary}
Group:		System/Libraries

Provides:	libpanel-applet = %{version}-%{release}
Provides:	libpanel-applet-%{api_version} = %{version}-%{release}

%description -n	%{libname}
Panel libraries for running GNOME panels.

%package -n	%{libnamedev}
Summary:	Static libraries, include files for GNOME panel
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libpanel-applet-devel = %{version}-%{release}
Provides:	libpanel-applet-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d panel-applet- 2 0

%description -n	%{libnamedev}
Panel libraries and header files for creating GNOME panels.

%prep
%setup -q
%patch0 -p1 -b .rootlock
%patch2 -p1 -b .suspend
%patch1 -p1 -b .mdvcustomizations
%patch3 -p1 -b .pic
%patch16 -p1 -b .search
%patch17 -p1 -b .fixutf8
%patch18 -p1 -b .svnfixes

aclocal -I m4
autoconf
automake -a -c

%build

export CPPFLAGS=-DGWEATHER_I_KNOW_THIS_IS_UNSTABLE
%configure2_5x --enable-eds --disable-scrollkeeper --with-clock-time-utility=%{_bindir}/drakclock \
%if %{in_process_applets}
--with-in-process-applets=all
%endif

make

%install
rm -rf $RPM_BUILD_ROOT %name-2.0.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/gnome-panel/pixmaps

#remove old files
rm -rf %buildroot%_datadir/omf/gnome-panel

%find_lang %name-2.0 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/*/{*-??.omf,*-??_??.omf};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name-2.0.lang
done

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome-panelrc $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper $RPM_BUILD_ROOT%{_libexecdir}/gnome-panel/*.{a,la}


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%define schemas clock fish panel-compatibility panel-general panel-global panel-object panel-toplevel window-list workspace-switcher

%post -p /sbin/ldconfig -n %{libname}

%post
%update_scrollkeeper 
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --recursive-unset /apps/panel > /dev/null 2> /dev/null
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --recursive-unset /schemas/apps/panel > /dev/null 2> /dev/null

%post_install_gconf_schemas %{schemas}
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load %{_sysconfdir}/gconf/schemas/panel-default-setup.entries > /dev/null
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load %{_sysconfdir}/gconf/schemas/panel-default-setup.entries /apps/panel > /dev/null

%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun -p /sbin/ldconfig -n %{libname}

%postun
%clean_scrollkeeper
%clean_icon_cache hicolor

%files -f %name-2.0.lang
%defattr (-, root, root)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/dbus-1/system.d/org.gnome.ClockApplet.Mechanism.conf
%{_sysconfdir}/gconf/schemas/clock.schemas
%{_sysconfdir}/gconf/schemas/fish.schemas
%{_sysconfdir}/gconf/schemas/panel-compatibility.schemas
%{_sysconfdir}/gconf/schemas/panel-general.schemas
%{_sysconfdir}/gconf/schemas/panel-global.schemas
%{_sysconfdir}/gconf/schemas/panel-object.schemas
%{_sysconfdir}/gconf/schemas/panel-toplevel.schemas
%{_sysconfdir}/gconf/schemas/window-list.schemas
%{_sysconfdir}/gconf/schemas/workspace-switcher.schemas

%{_sysconfdir}/gconf/schemas/panel-default-setup.entries

%{_bindir}/*
%{_libexecdir}/gnome-clock-applet-mechanism
%if %{in_process_applets}
%dir %{_libexecdir}/gnome-panel
%dir %{_libexecdir}/gnome-panel/*.so
%else
%{_libexecdir}/clock-applet
%{_libexecdir}/fish-applet-2
%{_libexecdir}/notification-area-applet
%{_libexecdir}/wnck-applet
%endif
%{_mandir}/man1/*
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*.desktop
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/help
%_datadir/gnome-panel
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/idl/*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/PolicyKit/policy/gnome-clock-applet-mechanism.policy
%{_datadir}/dbus-1/system-services/org.gnome.ClockApplet.Mechanism.service

%files -n %{libname}
%defattr (-, root, root)
%{_libdir}/libpanel-applet-%{api_version}.so.%{lib_major}*

%files -n %{libnamedev}
%defattr (-, root, root)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/libpanel*.so
%{_libdir}/pkgconfig/*


%changelog
* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-4mdv2008.1
+ Revision: 191563
- Update patch18 with more clock fixes

* Wed Mar 26 2008 Emmanuel Andry <eandry@mandriva.org> 2.22.0-3mdv2008.1
+ Revision: 190547
- Fix lib group

* Tue Mar 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 188563
- Patch17: fix invalid username when locale is not UTF-8
- Patch28 (SVN): various fixes from SVN for clock applet

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183880
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175410
- add build dep on policykit
- update file list

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165848
- new version
- update deps

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159906
- new version

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 152141
- new version
- update buildrequires
- fix build with libgweather

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.20.3-1mdv2008.1
+ Revision: 146431
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 2.20.2-1mdv2008.1
+ Revision: 113349
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98709
- new version

  + Frederic Crozat <fcrozat@mandriva.com>
    - Update patch1 to fix Mdv bug #34392 and no longer add help launcher on panel
    - Remove patch17, no longer needed

* Wed Oct 03 2007 Emmanuel Andry <eandry@mandriva.org> 2.20.0.1-2mdv2008.0
+ Revision: 95259
- diff patch17 to fix a pixmaps path (bug #34392)

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0.1-1mdv2008.0
+ Revision: 89679
- new version
- new version
- drop patch 15

  + Frederic Crozat <fcrozat@mandriva.com>
    - Update patch 2 : fix launcher order, fix mandriva-panel.png location (Mdv bug #33604)
    - Patch16 (Fedora): call beagle or tracker (if installed) for file search instead of gnome-search

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79736
- new version

* Thu Aug 30 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.6-2mdv2008.0
+ Revision: 75214
- Update patch1 to no longer change default directory to ~/Desktop, don't change clock schemas for drakclock (use configure flag instead)

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 63293
- new version
- drop patch 16

* Tue Aug 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.5-4mdv2008.0
+ Revision: 59968
- Remove patch14, not needed anymore with XDG user dirs

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-3mdv2008.0
+ Revision: 57569
- new devel name

* Wed Jul 18 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.5-2mdv2008.0
+ Revision: 53296
- Fix another crash when editing timezone (not the last one unfortunately)
- Fix the patch
- Better fix for the crash
- Fix a crash when selecting timezones of the clock applet

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50464
- fix build
- new version
- bump deps

* Sun Jun 17 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 40619
- new version
- bump deps

* Thu Jun 07 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-2mdv2008.0
+ Revision: 36460
- new version
- drop patch 13
- rediff patch 14
- update file list

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32131
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14401
- new version
- update patch 0
- drop patch 15


* Tue Mar 20 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-5mdv2007.1
+ Revision: 147037
- Patch15: lock screen when using switch user (Mdv bug #29717)

* Sat Mar 17 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-4mdv2007.1
+ Revision: 145371
- Update patch14 to no longer warn when some .desktop bookmark are no longer valid

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 144403
- Fix gnome-panel showing incorrectly in menu

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142088
- new version
- update file list

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126157
- new version

* Tue Feb 20 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.91-2mdv2007.1
+ Revision: 122972
- Update patch1 / add source1 : add default texture to panels

* Tue Feb 13 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120274
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111678
- new version

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-5mdv2007.1
+ Revision: 89239
- bot rebuild
- rebuild

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-3mdv2007.1
+ Revision: 88538
- rebuild
- list all schema files

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 86291
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63833
- rebuild
- unpack patches
- Import gnome-panel

* Fri Oct 06 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- drop patch 15
- New version 2.16.1

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-3mdv2007.0
- Update patch14 to no query non local file (Mdv bug #25631)

* Thu Sep 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Patch15: fix crash when alacarte isn't installed (GNOME bug #354637)
- Requires alacarte

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Thu Aug 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-2mdv2007.0
- Switch to in-process applets for most used applets

* Wed Aug 23 2006 Gtz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- drop patch 16
- New release 2.15.92

* Sat Aug 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-5mdv2007.0
- Update patch1, correctly detect menu style and merge patch15 in it

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-4mdv2007.0
- use the correct version of patch1, not an old one
- Regenerate patch15

* Thu Aug 10 2006 Gtz Waschk <waschk@mandriva.org> 2.15.91-3mdv2007.0
- rediff patch 14

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- rebuild for new e-d-s

* Wed Aug 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-1mdv2007.0
- Release 2.15.91
- Regenerate patch15
- Update patch1, use MDV_MENU_STYLE env variable to disable customisations,
  use new mcc .desktop file for default panel launcher
- Remove patch 17 (merged upstream)
- Disable patch14 temporary

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-4mdv2007.0
- Rebuild with latest dbus

* Sat Jul 29 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-3mdv2007.0
- Patch17: fix panel going crazy when X11 is killed (GNOME bug #348803)

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-2mdv2007.0
- rebuild for new e-d-s

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- drop patch 17
- New release 2.15.90

* Tue Jul 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-6mdv2007.0
- Update patch1 for final XDG menu switch
- Patch17 : try to use alacarte as menu editor
- Regenerate patch15

* Sat Jun 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-5mdv2007.0
- Update patch1 with xdg menu for firefox

* Sat Jun 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-4mdv2007.0
- Switch to gnome-screensaver
- use new macros
- drop laptop hack in post, we use gnome-power-manager instead

* Sat Jun 03 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-3mdv2007.0
- rebuild for e-d-s 1.7.2

* Thu Jun 01 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-2mdv2007.0
- fix buildrequires for xorg 7
- rebuild for new e-d-s

* Wed May 31 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- bump deps
- New release 2.14.2

* Fri Apr 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Regenerate patches 0, 1, 2, 14, 16
- Remove patches 6 (fixed upstream), 7 (merged upstream)

* Mon Mar 06 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-3mdk
- Patch16: fix transparency for tray icons (GNOME bug #100600)

* Thu Mar 02 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-2mdk
- Rebuild to remove howl dep

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Tue Dec 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Update patch1, don't add two notification areas

* Wed Nov 30 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-1mdk
- Release 2.12.2
- Regenerate patch14

* Fri Oct 07 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- fix buildrequires

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Remove patches 9, 11, 12 (merged upstream)
- Regenerate patches 0, 1, 2, 14

* Tue Sep 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-10mdk 
- Update patch14, fix for UTF8 encoded url in .desktop file

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-9mdk 
- Update patch14, display directory in shortcuts correctly

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-8mdk
- rebuild to remove glitz dep

* Thu Sep 01 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-7mdk 
- Update patch15, file to check is really ~/.mdk-no-desktop-launch (Mdk bug #18070)

* Sat Aug 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-6mdk 
- Update patch14 to detect if .desktop points to existing directory
- Update patch 15, allow disabling the feature when ~/.mdk-no-desktop-launch
  file exists.

* Fri Aug 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-5mdk 
- Patch14: support .desktop as bookmarks
- Patch15: start applications in Desktop dir by default

* Fri Aug 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-4mdk 
- Patch13: fix KDE icons search (Mdk bug #17279)

* Fri Aug 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-3mdk 
- Really add patch12 this time

* Fri Aug 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-2mdk 
- Patch12 (CVS): fix executable name in .server file
- Update patch11 with crash fix (CVS)

* Wed Jun 29 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- drop patch 10
- New release 2.10.2

* Wed Jun 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-8mdk 
- Patch11: initially load menu in idle loop

* Thu May 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-7mdk 
- Update patch1 : use Mdk path for evolution,fix typo in default settings

* Sat May 14 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-6mdk 
- Patch10 (CVS): fixes various crashes 
- replace Prereq with new syntax

* Thu Apr 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.10.1-5mdk 
- buildrequires libglade >= 2.5.0

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-4mdk 
- Remove patch10, it is causing crashes

* Wed Apr 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-3mdk 
- Patch10 : don't keep reference on recent view

* Sun Apr 24 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.10.1-2mdk
- add BuildRequires: gtk-doc gnome-common intltool

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- Remove source 2 (now in gnome-menus)
- Update patches 0, 2, 6
- Remove patches 3, 4, 5 (merged upstream), 7 (not applicable)
- Patch8 (CVS): update to new menu API

* Wed Mar 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-6mdk 
- Patch8: fix hidden tray icons at startup (GNOME bug #108864)

* Thu Mar 10 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-5mdk 
- Update patch3 and source4 to fix Mdk bug #12971

* Wed Mar 09 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-4mdk 
- Update patch3 with better legacy support and fix for Mdk bug 14379
- Update source2 with more translations

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-3mdk 
- Update patch1 with fixed path for MCC

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-2mdk 
- Update patch1 with modified default launchers
- Update patch3 to really fix default layout order

* Tue Feb 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-1mdk 
- Release 2.8.3

* Mon Feb 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-9mdk 
- Update patch1 for modified location of MCC menu entry
- Update source2 to display "Core" entries
- Update patch3 with default layout fixed (menus then entries)

* Fri Feb 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-8mdk 
- Add source2: ship XDG menu files for original menus

* Mon Feb 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-7mdk 
- Update patch3 with new version of layout patch
- Regenerate patch1

* Fri Jan 28 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-6mdk 
- Update patch3 to support optional part of menu spec (layout)

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-5mdk 
- Rebuild with latest howl

* Tue Dec 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-4mdk 
- Update patch 3 to refresh correctly menus after running update-menus

* Fri Dec 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-3mdk 
- Update patch 3 with support for version 0.9 of spec and using glib 2.6.x
- Update patch 1 (mdk menu only if mdk customizations are set, 
  applications are back in the main menu)
- Add battstat applet when installing on a laptop (Fedora)
- Change default layout, back to two panels (I swear, it won't change... :)
- Patch4: fix clock format in or po file
- Patch5 (Fedora): use new configuration location (in sync with future GNOME 2.10)
- Patch6 (Novell): ignore launcher double click
- Patch7 (Novell): fix screenshot hang when destination hasn't enough perms

* Tue Dec 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Patch3 (CVS): XDG menu support
- Regenerate patches 1 & 3
- Remove menu methods

* Mon Dec 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- drop merged patch 3
- New release 2.8.2

* Thu Nov 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-2mdk
- remove menu entry
- add desktop-file-utils dependancy

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- add some mime support to the menu method
- fix gconf schema uninstallation
- fix omf file listing
- New release 2.8.1
- Regenerate patches 1, 2
- Remove patches 3, 4, 5, 6 (merged upstream)
- Patch3 (Fedora): fix dropping non-ASCII uris

* Tue Oct 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-8mdk
- Patch6 (CVS): fix save to webpage translation (Mdk bug #11905)

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-7mdk 
- Update patch2 to display Mdk logo instead of Foot (was forgotten)

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-6mdk
- Patch5 (CVS): many bug fixes for clock/calendar applet (Mdk bug #11599)

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-5mdk
- Patch4 (CVS): fix evolution command line parameter

* Tue Aug 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-4mdk
- Patch3 (CVS): fix moving applets with middle button (Mdk bug #10921)

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-3mdk 
- Update patch1 for menu changes

* Tue Aug 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Update patch2 to call pmsuspend (therefore it is disabled)
- Update patch1 (partially merged)
- Enable dropped requirements
- Update sources 1 & 2 to no longer use menu-link.sh

* Wed Jun 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- drop merged patch 3
- New release 2.6.2

* Wed Jun 09 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.6.1-6mdk
- fix buildrequires
- cosmetics

* Mon May 24 2004 Abel Cheung <deaddog@deaddog.org> 2.6.1-5mdk
- Update patch2 (call pmsuspend2 instead of pmsuspend)
- Leave some requirements for review later
- Fix buildrequires and devel requires
- Patch3: Fix brainless translation, thus fixing schemas install

* Sun May 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-4mdk
- reenable libtoolize
- new eds

* Sat May 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- fix buildrequires

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Enable evolution-data-server support

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- requires new GConf2
- drop merged patch 3
- rediff patch 1
- new version

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Fix patch 1 : still use Applications for main menu name

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Regenerate patches 0, 1, 2
- remove patch3 (merged upstream)
- Patch3 : fix parallel build

